Package Details: pentadactyl-git r7170.41d023a-4

Git Clone URL: https://aur.archlinux.org/pentadactyl-git.git (read-only)
Package Base: pentadactyl-git
Description: Vim-like five-fingered interface for Firefox
Upstream URL: http://dactyl.sourceforge.net/pentadactyl
Keywords: Firefox Vim
Licenses: MIT
Conflicts: pentadactyl
Provides: pentadactyl
Submitter: AsmundEr
Maintainer: AsmundEr
Last Packager: AsmundEr
Votes: 55
Popularity: 0.000000
First Submitted: 2015-04-10 19:06
Last Updated: 2016-05-05 13:32

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

parnmatt commented on 2016-05-05 09:48

@maciejjo This is a known and expected issue. There has been a coming incompatibility has been delayed for the last couple of versions.

Each time we are aware that they pushed this incompatibility back, we bumped the max version number.

You are welcome to edit the max version in the pkgbuild and test it, however it's likely that Firefox will complain and refuse to use Pentadactyl as it is unsigned (which cannot be overridden any more).

maciejjo commented on 2016-05-05 08:06

Anybody having problems with firefox 46.0.1-1? I get "Pentadactyl is incompatible with firefox 46.0.1" in addons, reinstalling did not help.

AsmundEr commented on 2016-02-10 14:46

Thanks for the heads up parnmatt. MaxVersion shifted to 46, and pkgrel bumped.

parnmatt commented on 2016-02-10 14:36

Max version can be shifted to 46.
This is when the required extension signing can no longer be overridden

parnmatt commented on 2016-01-21 14:23

I am unsure if this is a firefox issue or a pentadactyl issue, or two separate issues.

I have found that occasionally (it feels like one in four, likely less) Pentadactyl seems to ignore the commands I type to search and/or open. It displays the command bar, lets me type it, then disregards it.


I doubt it's related, but it could be. After searching through google, I have to refresh the page most times to get the actual results, rather than just the search bar. I have also found I need to refresh YouTube several times before it displays the page.


Anyone else seeing these 'bugs' …or am I just special?

polyzen commented on 2015-12-24 01:44

lothar_m, there is no other way. Follow these issues for updates:

Extension signing
https://github.com/5digits/dactyl/issues/79

Future of Pentadactyl
https://github.com/5digits/dactyl/issues/99

lothar_m commented on 2015-12-23 19:49

has anyone found a way of making this work without disabling the addon signature verification (firefox 43)?

polyzen commented on 2015-11-23 14:54

Ahh, if you were able to remove it from there, you must've also had it installed in your profile

parnmatt commented on 2015-11-23 14:45

…Interestingly after removing that pentadactyl from the add-ons dialogue; pentadactyl kicked in and started working. Didn't even need to reinstall.

What the hell. Oh well, it's working :D

AsmundEr commented on 2015-11-23 14:42

The version is newer, but don't worry about that¹. I don't understand why it's not working for you, we have the exact same versions installed. The only thing I can suggest is to click "Remove pentadactyl" in the Firefox addons page, close Firefox, reinstall pentadactyl-git, and see if it works then.

¹For a git package, the version of the installed package reflects the most recent git commit when you installed, while the version on the PKGBUILD reflects the most recent commit when the PKGBUILD was made and uploaded. This is normal.